# Apple-Style UI Components for PyQt6

This project provides a set of custom PyQt6 widgets designed to mimic the look and feel of Apple's user interface elements. The following components are included:

*   **`AppleStyleWindow`**: Main window with theme support (light/dark) and a scrollable content area.
*   **`AppleStyleLabel`**: Text labels with customizable font size and style (primary/secondary).
*   **`AppleStyleLineEdit`**: Single-line text input fields with validation state (error highlighting).
*   **`AppleStyleTextEdit`**: Multi-line text input areas.
*   **`AppleStyleButton`**: Push buttons with hover and press animations, and theme-aware styling.
*   **`AppleStyleCheckBox`**: Checkboxes with custom checkmark drawing.
*   **`AppleStyleSwitch`**: Toggle switches with sliding handle animation.
*   **`AppleStyleSlider`**: Horizontal and vertical sliders.
*   **`AppleStyleRadioButton`**: Radio buttons.
*   **`AppleStyleComboBox`**: Dropdown menus (comboboxes).
*   **`AppleStyleDateEdit`**: Date selection input with a calendar popup.
*   **`AppleStyleProgressBar`**: Progress bars.

These components aim for visual consistency with Apple's design language and are easily reusable in your PyQt6 applications. See `comprehensive_sample_app.py` for usage examples.

## How to Use

### 1. Prerequisites

#### Install PyQt6

First, ensure that PyQt6 is installed. If not, execute the following command in your terminal or command prompt:

```bash
pip install PyQt6
